> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kyckr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Company search

> Search for a company by name or registration number in a specific jurisdiction.

Most registries on Kyckr's network can be searched by either company name or company number.

To search for a company, a name or number and the ISO code of the jurisdiction are required. This performs a jurisdiction-specific search.

Below are examples of requests for search by name and search by number.

### Search by company name

To search for a company in a jurisdiction by name, provide the company name and the ISO country code of the jurisdiction to be searched. ISO codes are two letter, capital case codes.

The search results contain a list of companies from the chosen registry.   Additionally, the results will contain a `codeField`, which can be used as a parameter for other API calls.

[Search by company name API reference](/api-reference/company-search/search-by-name) · [Jurisdictions and regional codes](jurisdictions)

### Search by registration number

To search for a company in the registry by registration number - provide the registration number and ISO country code of the jurisdiction to be searched.

A search result can help determine if company exists in the chosen registry and if the company number provided is valid.  Again the `codeField` in the response can be used for further queries.

[Search by registration number API reference](/api-reference/company-search/search-by-registration-number)

### Details provided in the response

Depending on the registry, different information is provided in the response for a search. For the purposes of verifying an entity the most important fields are:

| Field              | Purpose                                                                                           |
| ------------------ | ------------------------------------------------------------------------------------------------- |
| `codeField`        | Unique code for an entity - used for ordering a company profile or retrieving registry documents. |
| `legalStatusField` | Confirms if the company is active or inactive                                                     |
| `nameField`        | The full name of the company on the register                                                      |

```json theme={null}
{
    "companiesField": [
        {
            "addressesField": [
                {
                    "countryField": "United Kingdom",
                    "addressInOneLineField": "Kemp House, 160 City Road, London, United Kingdom, EC1V 2NX",
                    "addressLine1Field": "Kemp House",
                    "addressLine2Field": "160 City Road",
                    "cityTownField": "London",
                    "postcodeField": "EC1V 2NX"
                }
            ],
            "codeField": "11655290",
            "companyIDField": "11655290",
            "legalFormField": "ltd",
            "legalStatusField": "active",
            "nameField": "KYCKR UK LIMITED",
            "officialField": false,
            "registrationAuthorityField": "Companies House, United Kingdom",
            "incorporationDateField": "2018-11-01"
        }
    ],
    "transactionIdField": "1523472",
    "responseCodeField": 100
```

In the example response above:

* Kyckr is an active company by looking at the `LegalStatusField`.
* The `codeField`  unique identifier in the response can be used for subsequent API calls.
* The full name of the company in the `nameField` is Kyckr UK Limited.

### Video tutorial - Using search APIs

[Watch: Using search APIs](https://www.youtube.com/watch?v=TjJORJKP2f4)

### Registration authority

In Germany and Canada, earch will return additional fields for registration authority: `registrationAuthorityField` and `registrationAuthorityCodeField`.

If these fields appear in search results, then to order a profile, the `registrationAuthorityCodeField` must be supplied to order a company profile.  (Note - search by name and search by number APIs do not require the "registrationAuthorityCodeField".)

In the search response example below, there is a "registrationAuthorityField": and "registrationAuthorityCodeField" in the response (Lines 16 and 17).

```json theme={null}
 "companiesField": [
        {
            "addressesField": [
                {
                    "countryField": "DE",
                    "addressInOneLineField": "Gütersloh, Germany",
                    "cityTownField": "Gütersloh"
                }
            ],
            "codeField": "VR 1464",
            "companyIDField": "VR 1464",
            "legalFormField": "e. V.",
            "legalStatusField": "active",
            "nameField": "Audi-80-Scene e. V.",
            "officialField": false,
            "registrationAuthorityField": "Gütersloh district court",
            "registrationAuthorityCodeField": "Gütersloh"
        },
```

The `registrationAuthorityCodeField`, as it is present in the response, is required to order a company profile, lite profile and for a filing search.

If the `registrationAuthorityCodeField` is not present in a search response, it is not required in other APIs, as the `codeField` alone will be sufficient to specify the company.

```curl theme={null}
curl --location 'https://rest.kyckr.com/core/company/profile/DE/VR 1464?RegAuth=Gütersloh'
--header 'Authorization: {{apiKey}}'
```

### Video tutorial - Registration authority parameter

[Watch: Registration authority parameter](https://www.youtube.com/watch?v=4_HEgq1crWA)
